Page MenuHomePhabricator

Limit scope of RegisterContextPOSIX.h header
ClosedPublic

Authored by emaste on Sep 12 2015, 10:31 AM.

Details

Summary

RegisterContextPOSIX.h is poorly named and contains only the declaration of POSIXBreakpointProtocol, which is used for in-process live kernel debugging. It is now relevant only to FreeBSD.

In source/Plugins/Process/Utility/RegisterContext*.h it only served the process of #including other necessary headers as a side-effect. Remove it from them and just include the required headers directly.

Diff Detail

Event Timeline

emaste updated this revision to Diff 34631.Sep 12 2015, 10:31 AM
emaste retitled this revision from to Limit scope of RegisterContextPOSIX.h header.
emaste updated this object.
emaste added reviewers: tfiala, labath.
emaste added a subscriber: lldb-commits.
tfiala accepted this revision.Sep 13 2015, 2:50 PM
tfiala edited edge metadata.

LGTM, Ed.

This revision is now accepted and ready to land.Sep 13 2015, 2:50 PM
labath accepted this revision.Sep 14 2015, 1:35 AM
labath edited edge metadata.
This revision was automatically updated to reflect the committed changes.